<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/dark_gray"
    android:fillViewport="true">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <FrameLayout
            android:id="@+id/header_layout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/header_height"
            android:background="@drawable/home_header_background">

            <TextView
                style="@style/Title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="54dp"
                android:text="@string/receive_text" />

            <com.google.android.material.card.MaterialCardView
                android:id="@+id/qr_code_card"
                style="@style/QRCodeCard"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/header_qr_code_margin"
                android:contentDescription="@string/qr_code_description">

                <ImageView
                    android:id="@+id/qr_code_image"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:contentDescription="@string/qr_code_description"
                    android:padding="@dimen/padding_10"
                    tools:src="@color/white" />

            </com.google.android.material.card.MaterialCardView>

            <TextView
                style="@style/SubTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom|start"
                android:layout_marginStart="@dimen/margin_8"
                android:layout_marginBottom="@dimen/margin_8"
                android:text="@string/request_button_text" />

        </FrameLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/margin_24"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/request_transaction_image"
                style="@style/ImageIcon"
                android:layout_marginStart="@dimen/margin_26"
                android:contentDescription="@string/image_icon_description"
                android:src="@drawable/nexa_logo" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_14"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/request_transaction_title_text"
                    style="@style/Text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/nexa_text" />

                <TextView
                    android:id="@+id/request_transaction_amount_text"
                    style="@style/CurrencyAmount"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    tools:text="0.0 XNX" />

            </LinearLayout>

            <TextView
                android:id="@+id/request_transaction_exchange_text"
                style="@style/FiatAmount"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/margin_24"
                android:layout_weight="1"
                android:textAlignment="viewEnd"
                tools:text="$14,207.12" />

        </LinearLayout>

        <View
            android:id="@+id/transaction_info_divider"
            style="@style/Divider" />

        <TextView
            android:id="@+id/receive_uri_text"
            style="@style/Link"
            android:layout_gravity="center_horizontal"
            android:layout_marginVertical="@dimen/margin_16"
            tools:text="qrc98ujioa98sj9898un5sthepkg22majyxw48huiaa" />

        <View
            android:id="@+id/divider"
            style="@style/Divider" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/margin_16"
            android:layout_marginBottom="@dimen/margin_38"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical">

                <com.google.android.material.floatingactionbutton.FloatingActionButton
                    android:id="@+id/copy_button"
                    style="@style/FloatingActionButton"
                    android:layout_gravity="center_horizontal"
                    android:contentDescription="@string/copy_button_description"
                    android:src="@drawable/ic_copy" />

                <TextView
                    android:id="@+id/copy_text"
                    style="@style/SubTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/margin_16"
                    android:text="@string/copy_button_text" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical">

                <com.google.android.material.floatingactionbutton.FloatingActionButton
                    android:id="@+id/share_button"
                    style="@style/FloatingActionButton"
                    android:layout_gravity="center_horizontal"
                    android:contentDescription="@string/share_button_description"
                    android:src="@drawable/ic_share" />

                <TextView
                    android:id="@+id/share_text"
                    style="@style/SubTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/margin_16"
                    android:text="@string/share_button_text" />

            </LinearLayout>

        </LinearLayout>

    </LinearLayout>

</androidx.core.widget.NestedScrollView>